#!/bin/sh

DIR=$1
if [ -z "$DIR" ];then
    exit 1
fi

SET_DIR=`realpath "$DIR"`/jellyfin
. /etc/default/cineverse

if [ "$SET_DIR" == "$JELLYFIN_DATA_DIR" ];then
    exit 0
fi

if [ ! -d "$SET_DIR" ];then
    mkdir "$SET_DIR"
fi
if [ ! -d "$SET_DIR" ];then
    mkdir "$SET_DIR/log"
fi
if [ ! -d "$SET_DIR/cache" ];then
    mkdir "$SET_DIR/cache"
fi
chmod 750 "$SET_DIR" "$SET_DIR/log" "$SET_DIR/cache"
chown cineverse:adm "$SET_DIR" "$SET_DIR/log" "$SET_DIR/cache"

DATA_DIR_SET=JELLYFIN_DATA_DIR=\"$SET_DIR\"
LOG_DIR_SET=JELLYFIN_LOG_DIR=\"$SET_DIR/log\"
CACHE_DIR_SET=JELLYFIN_CACHE_DIR=\"$SET_DIR/cache\"

sed -i "s#^JELLYFIN_DATA_DIR=.*#$DATA_DIR_SET#g;s#^JELLYFIN_LOG_DIR=.*#$LOG_DIR_SET#g;s#^JELLYFIN_CACHE_DIR=.*#$CACHE_DIR_SET#g" /etc/default/cineverse

if [ -d "$JELLYFIN_DATA_DIR" ];then
    mv "$JELLYFIN_DATA_DIR"/* "$SET_DIR"
    mv "$JELLYFIN_DATA_DIR"/.aspnet "$SET_DIR"
fi
if [ -d "$JELLYFIN_LOG_DIR" ];then
    rm -rf "$JELLYFIN_LOG_DIR"
fi
if [ -d "$JELLYFIN_CACHE_DIR" ];then
    rm -rf "$JELLYFIN_CACHE_DIR"
fi

